using PDF_Office.DataConvert;
using Prism.Mvvm;
using Prism.Regions;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PDF_Office.ViewModels.PropertyPanel
{
    public enum PanelType
    {
        AnnotType,
        WaterMarkType,
    }
    public class PropertyPanelContentViewModel : BindableBase, INavigationAware
    {
        private string _annotPanelType = "HighLight";
        public string AnnotPanelType
        {
            get { return _annotPanelType; }
            set {
                SetProperty(ref _annotPanelType, value);
             
            }
        }

        private PanelType _propertyPanelType;
        public PanelType PropertyPanelType
        {
            get { return _propertyPanelType; }
            set
            {
                SetProperty(ref _propertyPanelType, value);

            }
        }

        private IRegionManager regions { get; set; }
        private string propertyPanelRegionNmae;
        public string PropertyPanelRegionNmae
        {
            get { return propertyPanelRegionNmae; }
            set
            {
                SetProperty(ref propertyPanelRegionNmae, value);
            }
        }

        public PropertyPanelContentViewModel(IRegionManager regionManager)
        {
            regions = regionManager;

            PropertyPanelRegionNmae = Guid.NewGuid().ToString();

        }

        public void OnNavigatedTo(NavigationContext navigationContext)
        {
           
        }

        public bool IsNavigationTarget(NavigationContext navigationContext)
        {
            return true;
        }

        public void OnNavigatedFrom(NavigationContext navigationContext)
        {
          
        }
    }
}
